## prometheus-cli 0.3.0

=== Makefile ===
# Copyright 2015 The Prometheus Authors
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

VERSION := 0.3.0
TARGET  := prometheus_cli

include Makefile.COMMON

=== debian/changelog ===
prometheus-cli (0.3.0-1) unstable; urgency=medium

  * Initial release. (Closes: #791650)

 -- Martín Ferrari <tincho@debian.org>  Tue, 07 Jul 2015 08:13:54 +0000

=== debian/control ===
Source: prometheus-cli
Section: net
Priority: extra
Maintainer: Martín Ferrari <tincho@debian.org>
Build-Depends: debhelper (>= 9.0.0), dh-golang, golang-go, golang-procfs-dev,
 golang-prometheus-client-dev, golang-goprotobuf-dev
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-go/packages/prometheus-cli.git
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-go/packages/prometheus-cli.git/
Homepage: https://github.com/prometheus/prometheus_cli

Package: prometheus-cli
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Built-Using: ${misc:Built-Using}
Description: Prometheus command line interface
 A command line interface tool for querying the Prometheus server's HTTP API

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export DH_GOPKG := github.com/prometheus/prometheus_cli

DEBPKGNAME ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Source: //p')

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install
	# we don't want the golang source (yet?)
	rm -r debian/$(DEBPKGNAME)/usr/share/gocode
	# Rename the binary to match the debian package.
	mv -v debian/$(DEBPKGNAME)/usr/bin/prometheus_cli \
	    debian/$(DEBPKGNAME)/usr/bin/$(DEBPKGNAME)

=== debian/watch ===
version=3

opts="filenamemangle=s/(?:.*\/)?v?(\d[\d\.]*)\.tar\.gz/prometheus-cli-$1.tar.gz/" \
         https://github.com/prometheus/prometheus_cli/tags \
         (?:.*/)?v?(\d[\d\.]*)\.tar\.gz
